/*****************************************************************************
*                                                                            *
* void      Geometrie_Menue()                                                *
*                                                                            *
******************************************************************************
*                                                                            *
* Untermenue fuer geometrische Operationen                                   *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 09.10.1992                                               *
* Letzte Aenderung: 06.11.1992                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(),                    *
*             Skalierung(), Rotation(), Spiegelung(), Ausschnitt(),          *
*             Copy_Picture(), Swap_Picture(), Pic_Info(), Mittelpunkt()      *
*                                                                            *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Geometrie_Menue()
{
  int Auswahl;

  /*---------------------------- Untermenue anzeigen -----------------------*/
  Auswahl = 1;
  while ((Auswahl>0) && (Auswahl<=8)) {
        ClearTextWindow(35,18,80,25);
        WriteText(35,18,">> Geometrische Operationen <<");
        WriteText(35,20,"(1)  Skalierung        (5)  Bilder vertauschen");
        WriteText(35,21,"(2)  Rotation          (6)  Bild kopieren");
        WriteText(35,22,"(3)  Spiegelung        (7)  Bild-Information");
        WriteText(35,23,"(4)  Ausschnitt        (8)  Mittelpunktdarst.");
        gotoxy(35,25);
        Auswahl=Read_Int("Bitte Auswahl angeben (0=Ruecksprung) ", 1, ':');

        switch (Auswahl) {
           case 1:
               /*----------------- Bild vergroessern/verkleinern -----------*/
               Skalierung();
               break;
           case 2:
               /*----------------- Bild um Mittelpunkt drehen --------------*/
               Rotation();
               break;
           case 3:
               /*------- Bild an Mittelachse (horiz./vert.) spiegeln -------*/
               Spiegelung();
               break;
           case 4:
               /*----------------- Ausschnitt eines Bildes erzeugen --------*/
               Ausschnitt();
               break;
           case 5:
               /*----------------- Bilder vertauschen ----------------------*/
               Swap_Picture(FALSE, FALSE);            /* kein Bild vorgeben */
               break;
           case 6:
               /*----------------- Bild kopieren (duplizieren) -------------*/
               Copy_Picture(FALSE, FALSE);            /* kein Bild vorgeben */
               break;
           case 7:
               /*----------------- Bilddaten ausgeben ----------------------*/
               Pic_Info();
               break;
           case 8:
               /*----------------- Bild einzeln in der Mitte darstellen ----*/
               Mittelpunkt();
               break;
        } /* switch */
  }

}
