/*****************************************************************************
*                                                                            *
* void      Read_Save_Menue()                                                *
*                                                                            *
******************************************************************************
*                                                                            *
* Liest ein PCX-Bild ein, speichert ein Bild als PCX-Bild oder vertauscht    *
* zwei Bilder im Speicher oder erzeugt Testbilder.                           *
*                                                                            *
******************************************************************************
*                                                                            *
* Erstellungsdatum: 30.09.1992                                               *
* Letzte Aenderung: 21.04.1993                                               *
*                                                                            *
******************************************************************************
*                                                                            *
* Aufruf von: ClearTextWindow(), WriteText(), Read_Int(),                    *
*             Read_PCX_Picture(), Save_PCX_Picture(), Swap_Picture(),        *
*             Copy_Picture(), Test_Bild()                                    *
*                                                                            *
*****************************************************************************/

#include "const.h"

#include "prototyp.h"


void Read_Save_Menue()
{
  int Auswahl;

  /*---------------------------- Untermenue anzeigen -----------------------*/
  Auswahl = 1;
  while ((Auswahl>0) && (Auswahl<=8)) {
        ClearTextWindow(35,18,80,25);
        WriteText(35,18,">> Bild einlesen/speichern im PCX-Format <<");


        WriteText(35,20,"(1)  Bild einlesen      (5)  Bild-Information");
        WriteText(35,21,"(2)  Bild speichern     (6)  Testbild Kreis");
        WriteText(35,22,"(3)  Bilder vertauschen (7)  Testbild Rechteck");
        WriteText(35,23,"(4)  Bild kopieren      (8)  Testbild Streifen");
        gotoxy(35,25);
        Auswahl=Read_Int("Bitte Auswahl angeben (0=Ruecksprung) ", 1, ':');

        switch (Auswahl) {
           case 1:
               /*--------------------- Bild einlesen -----------------------*/
               Read_PCX_Picture();
               break;
           case 2:
               /*--------------------- Bild speichern ----------------------*/
               Save_PCX_Picture();
               break;
           case 3:
               /*-------------------- Bilder vertauschen -------------------*/
               Swap_Picture(FALSE, FALSE);            /* kein Bild vorgeben */
               break;
           case 4:
               /*----------------- Bild kopieren (duplizieren) -------------*/
               Copy_Picture(FALSE, FALSE);            /* kein Bild vorgeben */
               break;
           case 5:
               /*-------------------- Bild - Information -------------------*/
               Pic_Info();
               break;
           case 6:
               /*--------------------- Testbild - Kreis --------------------*/
               Test_Bild(1);
               break;
           case 7:
               /*-------------------- Testbild - Rechteck ------------------*/
               Test_Bild(2);
               break;
           case 8:
               /*-------------------- Testbild - Streifen ------------------*/
               Test_Bild(3);
               break;
        } /* switch */
  }

}
